/* Global Styling */

/* Whitespace Remover */
html,
body {
    width: 100%;
    height: 100%;
    margin: 0px !important;
    padding: 0px;
    /* overflow-x: hidden; */
    overflow-x: clip;
}
/* Whitespace Remover - end */

header {
    border-radius: 0 !important;
}

/* ReCaptcha Prio */
.grecaptcha-badge {
    z-index: 999;
}

@font-face {
    font-family: "Kollektif";
    src: url("../../assets/revamp/fonts/Kollektif.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Span Compressed";
    src: url("../../assets/revamp/fonts/Span-Compressed.otf") format("opentype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Span Compressed Bold";
    src: url("../../assets/revamp/fonts/Span-Compressed-Bold.otf")
        format("opentype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Span Regular";
    src: url("../../assets/revamp/fonts/Span-Regular.otf") format("opentype");
    font-weight: normal;
    font-style: normal;
}

.global-padding {
    padding: 100px 0;

    @media (max-width: 1199px) {
        padding: 70px 30px;
    }

    @media (max-width: 767px) {
        padding: 50px 20px;
    }
}

:root {
    --fontMain: "Span Compressed", serif;
    /* --fontMain: 'Span Regular', serif; */
    --fontMainBold: "Span Compressed Bold", serif;
    --fontSecond: "Kollektif", sans-serif;

    /* Brand Colors */
    --color-green: #113d2e;
    --color-gold: #a08152;
    --color-black: #1b1a1d;
    --color-beige: #d5c3aa;
    --color-light-beige: #ede0cf;

    /* Overlays */
    --overlay-black-10: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));

    --theme-url: "<?php echo get_stylesheet_directory_uri(); ?>";
}

h1 {
    font-family: var(--fontMain);
    color: var(--color-gold);
    font-size: 120px;
}

h2 {
    font-family: var(--fontMain);
    color: var(--color-black);
    font-size: 60px !important;
}

p {
    font-family: var(--fontSecond);

    &.subtitle {
        text-align: center;
    }
}

a {
    &.sig-btn {
        background: var(--color-gold);
        color: var(--color-beige);
        font-family: var(--fontMain);
        width: -webkit-fill-available;
        text-decoration: none;
    }
}

.wpcf7-not-valid-tip {
    color: #fff !important;
    font-size: 14px;
    font-family: var(--fontSecond);
    margin-top: 10px;
}

.wpcf7 form .wpcf7-response-output {
    color: #fff !important;
    font-size: 14px;
    font-family: var(--fontSecond);
    text-align: center;
    border: none !important;
}

textarea {
    resize: none;
}

/* Global Styling - End */

/* Header Styling */
nav {
    &.web-nav {
        display: flex;
        position: absolute;
        width: 100%;
        z-index: 999;
        /* justify-content: center; */

        @media (max-width: 1199px) {
            display: none;
        }

        .webnav-contents {
            display: flex;
            justify-content: space-between;
            padding: 40px 0;
            width: 100%;
            /* max-width: 1256px; */
            max-width: 65.42vw;
            margin: 0 auto;

            @media (min-width: 1921px) {
                max-width: 1256px;
            }

            @media (min-width: 1200px) {
                padding: 0;
            }

            .nav-logo {
                margin-right: 30px;

                @media (min-width: 1200px) {
                    /*padding: 40px 0;*/
                    padding: 20px 0;
                }

                img {
                    width: 100%;
                    /* max-width: 180px; */
                    /*max-width: 9.375vw;*/
                    max-width: 177px;
                    min-width: 177px;
                }
            }

            .nav-items {
                display: flex;
                align-items: center;
                /* gap: 60px; */
                gap: 3.125vw;
                width: 100%;
                max-width: max-content;
                /*max-width: 790px;*/
                /* max-width: 41.15vw; */

                @media (min-width: 1921px) {
                    gap: 60px;
                }

                .nav-item {
                    display: flex;

                    a {
                        &.parent-item {
                            font-family: var(--fontMain);
                            font-size: 24px;
                            color: var(--color-beige);
                            text-decoration: none;
                            transition: 0.3s ease;

                            @media (max-width: 1490px) AND (min-width: 1200px) {
                                font-size: 1.39vw;
                            }

                            &:hover {
                                color: var(--color-gold);
                            }
                        }
                    }
                }

                .nav-submenu {
                    /* display: flex; */
                    /* position: absolute; */
                    padding: 30px;
                    width: 100%;
                    background: var(--color-green);
                    box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, 0.25);
                    transition:
                        opacity 0.3s ease,
                        visibility 0.3s ease;

                    &.sub-blog {
                        max-width: 40px;
                        opacity: 0;
                        visibility: hidden;
                        display: flex;
                        justify-content: space-between;
                        position: absolute;
                        /*bottom: -50px;*/
                        bottom: -79px;
                        display: flex;
                        z-index: 1;

                        &.active {
                            opacity: 1;
                            visibility: visible;
                            pointer-events: auto;
                        }

                        .submenu-item {
                            a {
                                text-decoration: none;
                                color: var(--color-gold);
                                font-family: var(--fontMain);
                                font-size: 24px;
                                transition: 0.3s ease;

                                &:hover {
                                    color: var(--color-beige);
                                }
                            }
                        }
                    }

                    &.sub-about-us {
                        max-width: 95px;
                        opacity: 0;
                        visibility: hidden;
                        display: flex;
                        justify-content: space-between;
                        position: absolute;
                        bottom: -50px;
                        display: flex;
                        z-index: 1;

                        &.active {
                            opacity: 1;
                            visibility: visible;
                            pointer-events: auto;
                        }

                        .submenu-item {
                            a {
                                text-decoration: none;
                                color: var(--color-gold);
                                font-family: var(--fontMain);
                                font-size: 24px;
                                transition: 0.3s ease;

                                &:hover {
                                    color: var(--color-beige);
                                }
                            }
                        }
                    }

                    &.sub-services {
                        max-width: 725px;
                        bottom: -280px;
                        opacity: 0;
                        visibility: hidden;
                        display: flex;
                        justify-content: space-between;
                        position: absolute;

                        &.active {
                            opacity: 1;
                            visibility: visible;
                            pointer-events: auto;
                        }
                    }

                    .submenu-left {
                        display: flex;
                        flex-direction: column;
                        gap: 30px;

                        .submenu-item {
                            a {
                                text-decoration: none;
                                color: var(--color-gold);
                                font-family: var(--fontMain);
                                font-size: 24px;
                                transition: 0.3s ease;

                                display: flex;
                                align-items: center;
                                gap: 12px;

                                &:hover {
                                    color: var(--color-beige);
                                }
                            }
                        }
                    }

                    .submenu-right {
                        display: flex;
                        flex-direction: column;
                        position: relative;

                        a {
                            font-family: var(--fontMain);
                            color: var(--color-beige);
                            font-size: 22px;
                            text-decoration: none;
                            text-align: center;
                            transition: 0.3s ease;

                            &:hover {
                                color: var(--color-gold);
                            }
                        }

                        .sub-default.active,
                        .sub-socmed.active,
                        .sub-video.active {
                            opacity: 1;
                            visibility: visible;
                            pointer-events: auto;
                        }

                        .sub-default {
                            opacity: 0;
                            visibility: hidden;
                            transition:
                                opacity 0.3s ease,
                                visibility 0.3s ease;
                            width: 400px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            position: relative;
                        }

                        .sub-socmed {
                            opacity: 0;
                            visibility: hidden;
                            transition:
                                opacity 0.3s ease,
                                visibility 0.3s ease;
                            width: 400px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            position: absolute;
                            gap: 30px;
                            justify-content: center;
                            align-items: center;
                        }

                        .sub-video {
                            opacity: 0;
                            visibility: hidden;
                            transition:
                                opacity 0.3s ease,
                                visibility 0.3s ease;
                            width: 400px;
                            height: 100%;
                            display: flex;
                            flex-direction: column;
                            position: absolute;
                            gap: 30px;
                            justify-content: center;
                            align-items: center;
                        }
                    }
                }
            }
        }
    }

    &.mobile-nav {
        display: none;
        position: absolute;
        width: 100%;
        max-width: -webkit-fill-available;
        z-index: 999;
        padding: 40px;

        @media (max-width: 1199px) {
            display: flex;
        }

        @media (max-width: 767px) {
            background: var(--color-green);
            position: relative;
            border-bottom: 1px solid var(--color-gold);
            padding: 20px;
        }

        .mobile-nav-contents {
            display: flex;
            justify-content: space-between;
            width: 100%;
            max-width: -webkit-fill-available;

            /*@media (max-width: 440px) {
                flex-direction: column;
                align-items: center;
                gap: 10px;
            }*/

            /*@media (max-width: 480px) {
                justify-content: center;
            }*/

            gap: 20px;

            padding: 0px 60px;

            @media (max-width: 1199px) {
                padding: 0;
            }

            @media (max-width: 300px) {
                flex-direction: column;
                align-items: center;
            }

            .nav-logo {
                margin-right: 30px;

                @media (max-width: 440px) {
                    margin-right: 0;
                }

                img {
                    width: 100%;
                    /*max-width: 180px;*/
                    /* max-width: 9.375vw; */
                    min-width: 177px;
                    max-width: 177px;

                    @media (max-width: 440px) {
                        max-width: 36.88vw;
                    }
                }
            }

            .nav-burger {
                display: flex;
                width: 100%;
                max-width: 50px;
                min-width: 50px;

                &.active {
                    svg {
                        color: var(--color-beige);
                    }
                }

                svg {
                    color: var(--color-gold);
                    width: 100%;
                    max-width: 100%;
                }
            }
        }
    }
}

section {
    &.mobile-submenu {
        padding: 30px;
        position: fixed;
        top: 0;
        left: 0;
        /* width: 700px; */
        /* width: 58.38vw; */
        /* width: 400px; */
        width: 33.35vw;
        height: 94vh;
        transform: translateX(-100%);
        transition: transform 0.4s ease;
        z-index: 999;
        pointer-events: none;
        /* background: linear-gradient(
        to right,
        rgba(23, 67, 52, 1) 0%,
        rgba(23, 67, 52, 0.95) 20%,
        rgba(23, 67, 52, 0.75) 40%,
        rgba(23, 67, 52, 0.5) 60%,
        rgba(23, 67, 52, 0.25) 80%,
        rgba(23, 67, 52, 0) 100%
      ); */
        background: var(--color-green);

        display: flex;
        flex-direction: column;
        /* justify-content: center; */

        /* ::767 collapse */
        @media (max-width: 767px) {
            /* border-top: 1px solid var(--color-gold); */
            border-bottom: 1px solid var(--color-gold);
            padding: 30px;
            position: absolute;
            overflow: hidden;
            height: 100%;
            transition: none;
            width: 100%;
            max-width: -webkit-fill-available;
            /* transform: none; */
            /* pointer-events: all; */

            transition: transform 0.6s ease;

            transform: translateY(-100%);
            opacity: 0;
            /* transition: transform 0.4s ease, opacity 0.4s ease; */
            pointer-events: none;
        }

        @media (max-width: 575px) {
            background: var(--color-green);
        }

        .close-btn {
            display: flex;
            justify-content: flex-end;
            margin-bottom: 30px;

            @media (max-width: 767px) {
                display: none;
            }

            a {
                svg {
                    width: 50px;
                    color: var(--color-gold);
                }
            }
        }

        .mobile-submenu-contents {
            display: flex;
            flex-direction: column;
            gap: 30px;
            padding: 30px;
            overflow: scroll;
            overflow-x: hidden;

            @media (max-width: 767px) {
                padding: 0;
            }

            .nav-item {
                display: flex;
                align-items: center;
                /*gap: 10px;*/
                gap: 0;

                .submenu {
                    max-height: 0;
                    overflow: hidden;
                    transition: 0.4s ease;
                    opacity: 0;

                    &.open {
                        /* max-height: 500px; */
                        max-height: 100%;
                        margin-top: 30px;
                        opacity: 1;
                    }
                }

                &.about-us {
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;

                    .main-item {
                        display: flex;
                        width: 100%;
                        align-items: center;
                        gap: 10px;

                        svg {
                            color: var(--color-gold);
                        }

                        &.open {
                            svg {
                                transform: rotate(-90deg);
                            }
                        }
                    }

                    .submenu {
                        display: flex;
                        flex-direction: column;
                        gap: 30px;
                        padding-left: 20px;
                        overflow: scroll;
                        overflow-x: hidden;

                        @media (max-width: 767px) {
                            width: 100%;
                        }

                        a {
                            color: var(--color-gold);
                            font-size: 24px;
                        }

                        .submenu-item {
                            &.mobile-socmed {
                                .sub-socmed {
                                    margin-top: 10px;
                                    padding: 0;
                                    display: flex;
                                    flex-direction: column;
                                    gap: 30px;
                                    transition: padding 0.4s ease;

                                    &.open {
                                        padding: 20px 30px;
                                    }

                                    .inner-item {
                                        a {
                                            color: var(--color-beige);
                                        }
                                    }
                                }
                            }

                            &.mobile-video {
                                .sub-video {
                                    margin-top: 10px;
                                    padding: 0;
                                    display: flex;
                                    flex-direction: column;
                                    gap: 30px;
                                    transition: padding 0.4s ease;

                                    &.open {
                                        padding: 20px 30px;
                                    }

                                    .inner-item {
                                        a {
                                            color: var(--color-beige);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }

                &.our-services {
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;

                    .main-item {
                        display: flex;
                        width: 100%;
                        align-items: center;
                        gap: 10px;

                        svg {
                            color: var(--color-gold);
                        }

                        &.open {
                            svg {
                                transform: rotate(-90deg);
                            }
                        }
                    }

                    .submenu {
                        display: flex;
                        flex-direction: column;
                        gap: 30px;
                        padding-left: 20px;
                        overflow: scroll;
                        overflow-x: hidden;

                        @media (max-width: 767px) {
                            width: 100%;
                        }

                        a {
                            color: var(--color-gold);
                            font-size: 24px;
                        }

                        .submenu-item {
                            &.mobile-socmed {
                                .sub-socmed {
                                    margin-top: 10px;
                                    padding: 0;
                                    display: flex;
                                    flex-direction: column;
                                    gap: 30px;
                                    transition: padding 0.4s ease;

                                    &.open {
                                        padding: 20px 30px;
                                    }

                                    .inner-item {
                                        a {
                                            color: var(--color-beige);
                                        }
                                    }
                                }
                            }

                            &.mobile-video {
                                .sub-video {
                                    margin-top: 10px;
                                    padding: 0;
                                    display: flex;
                                    flex-direction: column;
                                    gap: 30px;
                                    transition: padding 0.4s ease;

                                    &.open {
                                        padding: 20px 30px;
                                    }

                                    .inner-item {
                                        a {
                                            color: var(--color-beige);
                                        }
                                    }
                                }
                            }
                        }
                    }
                }

                &.blog {
                    display: flex;
                    flex-direction: column;
                    align-items: flex-start;

                    .main-item {
                        display: flex;
                        width: 100%;
                        align-items: center;
                        gap: 10px;

                        svg {
                            color: var(--color-gold);
                        }

                        &.open {
                            svg {
                                transform: rotate(-90deg);
                            }
                        }
                    }

                    .submenu {
                        display: flex;
                        flex-direction: column;
                        gap: 30px;
                        padding-left: 20px;

                        a {
                            color: var(--color-gold);
                            font-size: 24px;
                        }
                    }
                }

                a {
                    text-decoration: none;
                    font-family: var(--fontMain);
                    color: var(--color-gold);
                    font-size: 24px;
                    transition: 0.3s ease;

                    &:hover {
                        color: var(--color-beige);
                    }
                }
            }
        }
    }

    &.active {
        transform: translateX(0);
        pointer-events: auto;

        @media (min-width: 1200px) {
            display: none;
        }
    }

    &.active-mobile {
        transform: translateY(0);
        pointer-events: auto;
        position: relative;
        opacity: 1;
        /* padding: 30px; */
        height: 100%;
        max-height: max-content;
        /* top: 200px; */
        z-index: 0;

        @media (min-width: 1200px) {
            display: none;
        }
    }
}

/* Header Styling - End */

/* Footer Styling */
section {
    &.footer {
        padding: 100px 0 30px 0;
        display: flex;
        flex-direction: column;

        @media (max-width: 1199px) {
            padding: 70px 30px 30px 30px;
        }

        .footer-contents {
            width: 100%;
            max-width: 62.25vw;
            margin: 0 auto;
            display: flex;
            flex-direction: column;

            @media (max-width: 1199px) {
                max-width: 100%;
            }

            .footer-upper {
                display: flex;
                justify-content: space-between;
                padding-bottom: 100px;
                border-bottom: 1px solid var(--color-gold);
                margin-bottom: 30px;

                @media (max-width: 1199px) {
                    flex-direction: column;
                }

                .footer-logo {
                    display: flex;
                    flex-direction: column;
                    width: 100%;
                    max-width: 310px;
                    margin-right: 50px;

                    a {
                        &.logo-link {
                            margin-bottom: 20px;

                            @media (max-width: 1199px) {
                                margin-bottom: 0;
                            }
                        }
                    }

                    img {
                        width: 100%;
                        /* max-width: 180px; */
                        max-width: 9.375vw;
                    }

                    p {
                        font-family: var(--fontSecond);
                        color: var(--color-beige);
                        line-height: 24px;
                        font-weight: 100;
                        letter-spacing: 1px;
                    }

                    @media (max-width: 1199px) {
                        max-width: 100%;
                        margin-right: 0;
                        margin-bottom: 70px;
                        flex-direction: row;
                        gap: 100px;
                        align-items: center;

                        img {
                            max-width: 360px;
                        }
                    }

                    @media (max-width: 767px) {
                        flex-direction: column;
                        gap: 50px;

                        p {
                            text-align: center;
                        }
                    }
                }

                .footer-links {
                    display: flex;
                    width: 100%;
                    max-width: 700px;
                    gap: 50px;

                    @media (max-width: 1199px) {
                        max-width: 100%;
                    }

                    @media (max-width: 575px) {
                        flex-wrap: wrap;
                    }

                    .links-set {
                        display: flex;
                        flex-direction: column;
                        width: 100%;
                        max-width: fit-content;
                        /*gap: 20px;*/
                        gap: 15px;

                        a {
                            text-decoration: none;
                            font-family: var(--fontSecond);
                            color: var(--color-beige);
                            letter-spacing: 1px;
                        }

                        p {
                            font-family: var(--fontMain);
                            color: var(--color-gold);
                            font-size: 24px;
                            margin-bottom: 20px;
                        }

                        &.contact-links {
                            span {
                                font-family: var(--fontSecond);
                                color: var(--color-beige);
                                letter-spacing: 1px;
                            }

                            a {
                                line-height: 24px;
                            }

                            .socmed-container {
                                display: flex;
                                align-items: center;
                                gap: 35px;
                                width: 100%;

                                a {
                                    &.socmed-btn {
                                        svg {
                                            transition: 0.3s ease;
                                        }

                                        &:hover {
                                            svg {
                                                filter: brightness(1.5);
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .footer-lower {
                display: flex;
                justify-content: center;

                span {
                    text-align: center;
                    font-family: var(--fontSecond);
                    color: var(--color-beige);
                    font-size: 14px;
                    letter-spacing: 1px;

                    a {
                        text-decoration: none;
                        color: var(--color-beige);
                        letter-spacing: 1px;
                    }
                }
            }
        }
    }
}

/* Footer Styling - End */

@media (max-width: 767px) {
    header {
        background: var(--color-green);
    }
}

/* Global Fonts QA */
h1 {
    @media (max-width: 1199px) {
        font-size: 80px !important;
    }

    @media (max-width: 767px) {
        font-size: 60px !important;
    }
}

h2 {
    @media (max-width: 1199px) {
        font-size: 45px !important;
    }

    @media (max-width: 767px) {
        font-size: 40px !important;
    }
}

h3 {
    @media (max-width: 1199px) {
        font-size: 32px !important;
    }

    @media (max-width: 767px) {
        font-size: 30px !important;
    }
}

p {
    @media (max-width: 1199px) {
        font-size: 14px !important;
    }
}

section.footer {
    a {
        &.link {
            font-size: 14px !important;
        }
    }
}

section.footer .footer-contents .footer-upper .footer-links .links-set p {
    margin-bottom: 0;
    font-size: 24px !important;

    /*@media (max-width: 1199px) {
        font-size: 16px !important;
    }*/
}

section.footer .footer-contents .footer-lower a {
    font-family: "Kollektif", sans-serif;
    font-size: 14px;
}

section.footer
    .footer-contents
    .footer-upper
    .footer-links
    .links-set.contact-links
    .contact-link
    span,
section.footer
    .footer-contents
    .footer-upper
    .footer-links
    .links-set.contact-links
    .contact-link
    p,
section.footer
    .footer-contents
    .footer-upper
    .footer-links
    .links-set.contact-links
    .contact-link
    a {
    font-size: 14px !important;
}

nav#webNav .nav-items .nav-item a#ourServices {
    display: flex;
    align-items: center;
    gap: 7px;
}

/*Global Fonts QA - end*/
